Subject: [bug#74987] [PATCH 0/2] Some dependencies for julia-setfield

From: Ludovic Courtès <[email-masked]>
Date: Tue, 24 Dec 2024 16:08:46 +0100

Hi,

"King, Spencer" <[email-masked]> skribis:

> This patch series begins adding some of the dependencies necessary for
> building julia-setfield and running its test cases. There were a
> couple of test cases I was having issues with so I decided to just
> submit the dependency patches for now and finalize julia-setfield at a
> later date.

Nice.  Applied as well, thanks!

It’s good to see the Julia package set grow.  I must say though that I
wonder about longer-term maintenance.

For example, I gave a first stab at upgrading Julia but then ran out of
time: <https://issues.guix.gnu.org/73197>.

The other issue is that of individual package upgrades.  So far it seems
to be pretty smooth, but I suspect it won’t last.

What’s your take?

Ludo’.